#!/bin/bash

expectedArgs=2
badArgsCode=65

if [ $# -lt $expectedArgs ]
then
	echo "Usage: `basename $0` <make> <module>"
	exit $badArgsCode
fi

currentPwd=`pwd`
directory=`dirname $0`

if [[ $directory == /* ]]
then
	applicationPath=$directory
else
	applicationPath=$currentPwd/$directory
fi

makeCommand=$1
module=$2

library="lib$module.la"

# make the library
cd $applicationPath/build/src
eval "$makeCommand $library"

# install the library
installCommand="../libtool --mode=install /usr/bin/install -c $library '$NOMAD_HOME/mod/lib'"
eval $installCommand

# install the resources
installResourceCommand="make install-nobase_'$module'resourceDATA"
eval $installResourceCommand
