/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef NPP_DPPLIVEPROCESS_H
#define NPP_DPPLIVEPROCESS_H

#include <Controller.h>
#include "controllers/common/acquisition/detector/DetectorController.h"

namespace npp {

/**
 * Base class for DPP live process.
 */
class DPPLiveProcess : public ExperimentController,
						public controller::Stoppable,
						public controller::Raz {

public:
	//! Type of controller
	static const std::string TYPE;

    /**
     * Constructor.
     */ 
	DPPLiveProcess(std::string const & name);
	DPPLiveProcess(DPPLiveProcess const & controller);

	virtual void setDetectorControllers(const std::vector<ControllerPtr<acquisition::DetectorController> > & detectorControllers);

	Property<std::string> fileName;

	std::vector<ControllerPtr<acquisition::DetectorController> > detectorControllers;
};

}

#endif
